/*
 * Copyright (c) 2015-2017, NVIDIA CORPORATION. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

#ifndef _DT_BINDINGS_INTERRUPT_TEGRA186_IRQ_H
#define _DT_BINDINGS_INTERRUPT_TEGRA186_IRQ_H

#define TEGRA186_IRQ_I2C1			25
#define TEGRA186_IRQ_I2C2			26
#define TEGRA186_IRQ_I2C3			27
#define TEGRA186_IRQ_I2C4			28
#define TEGRA186_IRQ_I2C5			29
#define TEGRA186_IRQ_I2C6			30
#define TEGRA186_IRQ_I2C7			31
#define TEGRA186_IRQ_I2C8			32
#define TEGRA186_IRQ_I2C9			33
#define TEGRA186_IRQ_UFSHC			44
#define TEGRA186_IRQ_UARTA			112
#define TEGRA186_IRQ_UARTB			113
#define TEGRA186_IRQ_UARTC			114
#define TEGRA186_IRQ_UARTD			115
#define TEGRA186_IRQ_UARTE			116
#define TEGRA186_IRQ_UARTF			117
#define TEGRA186_IRQ_UARTG			118
#define TEGRA186_IRQ_SATA			197
#define TEGRA186_IRQ_ACTMON			210

#define TEGRA186_IRQ_TOP0_HSP_SHARED_0		120
#define TEGRA186_IRQ_TOP0_HSP_SHARED_1		121
#define TEGRA186_IRQ_TOP0_HSP_SHARED_2		122
#define TEGRA186_IRQ_TOP0_HSP_SHARED_3		123
#define TEGRA186_IRQ_TOP0_HSP_SHARED_4		124
#define TEGRA186_IRQ_TOP0_HSP_SHARED_5		125
#define TEGRA186_IRQ_TOP0_HSP_SHARED_6		126
#define TEGRA186_IRQ_TOP0_HSP_SHARED_7		127
#define TEGRA186_IRQ_TOP1_HSP_SHARED_0		128
#define TEGRA186_IRQ_TOP1_HSP_SHARED_1		129
#define TEGRA186_IRQ_TOP1_HSP_SHARED_2		130
#define TEGRA186_IRQ_TOP1_HSP_SHARED_3		131
#define TEGRA186_IRQ_TOP1_HSP_SHARED_4		132
#define TEGRA186_IRQ_AON_HSP_SHARED_1		133
#define TEGRA186_IRQ_AON_HSP_SHARED_2		134
#define TEGRA186_IRQ_AON_HSP_SHARED_3		135
#define TEGRA186_IRQ_AON_HSP_SHARED_4		136
#define TEGRA186_IRQ_BPMP_HSP_SHARED_1		137
#define TEGRA186_IRQ_BPMP_HSP_SHARED_2		138
#define TEGRA186_IRQ_BPMP_HSP_SHARED_3		139
#define TEGRA186_IRQ_BPMP_HSP_SHARED_4		140
#define TEGRA186_IRQ_SCE_HSP_SHARED_1		141
#define TEGRA186_IRQ_SCE_HSP_SHARED_2		142
#define TEGRA186_IRQ_SCE_HSP_SHARED_3		143
#define TEGRA186_IRQ_SCE_HSP_SHARED_4		144

#endif
